RSH(1)

NOME
rsh - shell remota

SINTASSI
rsh [-Kdnx] [-k realm] [-l username] host rsh [-Kdnx] [-k realm] username@host [command]

DESCRIZIONE
Rsh esegue comandi sull' host.

Rsh copia il suo standard input sul comando remoto, lo standard output del comando remoto sul suo standard output, e lo standard error del comando remoto sul suo standard error. I segnali di interrupt, quit e terminate sono propagati al comando remoto; rsh nrmalmente termina quando termina il comando remoto. Le opzioni sono le seguenti:

-K  L'opzione -K disattiva l'autenticazione Kerberos.

-d  L'opzione -d attiva il socket debugging (usando setsockopt(2)) sui socket TCP usati per la comunicazione con l'host remoto.

-k  L'opzione -k fa sì che rsh ottenga ticket per l'host remoto in realm invece di ottenerlo come determinato da krb_realmofhost(3).

-l  Per default, il nome utente remoto è lo stesso del nome utente locale. L'opzione -l o il formato username@host permette la specificazione del nome remoto. E' usata l'autenticazione Kerberos, e l'autorizzazione è determinata come in rlogin(1).

-n  L'opzione -n redirige l'input dal dispositivo speciale /dev/null (vedere la sezione BUG di questa pagine manuale).

-x  L'opzione -x attiva la cifratura DES per tutti i dati scambiati. Questo potrebbe introdurre un ritardo significativo nel tempo di risposta.

Se non viene specificato alcun comando il login sull'host remoto avverrà usando rlogin(1).

I metacaratteri shell che non sono quotati sono interpretati sulla macchina locale, mentre i metacaratteri quotati sono interpretati sulla macchina remota. Per esempio, il comando

    rsh otherhost cat remotefile >> localfile

appende il file remoto remotefile al file locale localfile, mentre

    rsh otherhost cat remotefile ">>" other_remotefile

appende remotefile a other_remotefile.

FILE
/etc/hosts

VEDERE ANCHE
rlogin(1), kerberos(3), krb_sendauth(3), krb_realmofhost(3)

HISTORY
Il comando rsh è apparso nella 4.2BSD.

BUG
Se si sta usando csh(1) e si mette un rsh in background senza redirigere il suo input fuori dal terminale, esso si bloccherà anche se non viene postata nessuna lettura dal comando remoto. Se non si desidera nessun input si può redirigere l'input di rsh verso /dev/null usando l'opzione -n.

Non si può eseguire un comando interattivo (come rogue(6) o vi(1)) usando rsh; usare invece rlogin(1).

I segnali di stop arrestano solo il processo di rsh locale; ciò è intuitivamente sbagliato, ma attualmente difficile da correggere per ragioni troppo complesse da spiegare qui.